# RETIMAT: Retinal image analysis in MATLAB

![Retimat](https://user-images.githubusercontent.com/50577357/198894032-562361f2-59ad-47cb-97a7-7e4e4907041b.png)
[![DOI](https://zenodo.org/badge/425058082.svg)](https://zenodo.org/badge/latestdoi/425058082)

A MATLAB Toolbox for retinal OCT image analysis.

![fig_readme](https://user-images.githubusercontent.com/50577357/198825276-a70c2cc9-6fd4-408c-8adb-d9f7fcd8d6de.png)

## What can I do with RETIMAT?
- Read OCT files: .vol, .e2e, .img, .fda, .xml (OCT Explorer)
- Visualization
    - Raw images (OCT, fundus) + en-face maps (thickness, reflectance)
    - Summary reports
- Feature extraction 
    - Image quality and reflectance
    - Thickness (ETDRS and other sectorizations)
    - Foveal pit shape (slope, radius...)
    - Texture (GLCM, LBP, fractal dimension...)

## How to get started
1. Clone the repository
    - Click on the green ``Code`` button
    - Select ``Download Zip``
2. Run ``startup.m`` to add RETIMAT to the MATLAB path
3. Take a look into the tutorials

## Contact
For help, feedback or collaboration inquiries please contact dromero.research@gmail.com
